ssu-esl-weight(1)

NAME

ssu-esl-weight - calculate sequence weights in MSA(s)

SYNOPSIS
ssu-esl-weight [options] msafile

DESCRIPTION
ssu-esl-weight calculates individual sequence weights for each alignment in msafile, and outputs a new multiple sequence alignment file in Stockholm format with the weights annotated in Stockholm-format #=GS <seqname> WT <weight> lines. The default weighting algorithm is the Gerstein/Sonnhammer/Chothia algorithm. If msafile is - (a single dash), MSA input is read from stdin. The sequences can be of protein or DNA/RNA sequences. All sequences in the same seqfile must be either protein or DNA/RNA. The alphabet will be autodetected unless one of the options --amino, --dna, or --rna are given. These options may be useful in automated pipelines to make ssu-esl-weight more robust; alphabet autodetection is not infallible.

OPTIONS

-h  Print brief help; includes version number and summary of all options, including expert options.

-g  Use the Gerstein/Sonnhammer/Chothia weighting algorithm; this is the default.

-p  Use the Henikoff position-based weighting algorithm.

-b  "BLOSUM weights": use approximately the same rule used in constructing the BLOSUM score matrices. This involves single-linkage clustering at some fractional identity threshold (default 0.62; see --id option), then for each cluster, splitting a total weight of one uniformly amongst all sequences in the cluster.

EXPERT OPTIONS

--id <x>
    Sets the fractional identity threshold used by the BLOSUM weighting rule (option -b ; required), to a number 0<=x<=1. Default is 0.62.

--amino
    Assert that the msafile contains protein sequences.

--dna
    Assert that the msafile contains DNA sequences.

--rna
    Assert that the msafile contains RNA sequences.

AUTHOR
Easel and its documentation are Copyright (C) 2016 HHMI Janelia Farm Research Campus. Freely distributed under the BSD open source license.. See COPYING in the source code distribution for more details. The Easel home page is: http://bioeasel.org/